DELETE
/backup/plans/{backupPlanId}/selections/{selectionId}
http://backup.{region}.amazonaws.com/backup/plans/{backupPlanId}/selections/{selectionId}Deletes the resource selection associated with a backup plan that is specified by the <code>SelectionId</code>.
Access Token Required: API Key
Path Parameters
backupPlanIdstringrequired
Uniquely identifies a backup plan.
selectionIdstringrequired
Uniquely identifies the body of a request to assign a set of resources to a backup plan.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request DELETE \2 --url 'http://backup.{region}.amazonaws.com/backup/plans/{backupPlanId}/selections/{selectionId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}